Skip to main content
GET
/
api
/
v1
/
contacts
/
find-by-channel
Find a contact by communication channel (type + value).
curl --request GET \
  --url https://api.backside.app/api/v1/contacts/find-by-channel \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "display_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "kind": "<string>",
  "metadata": "<unknown>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "avatar_url": "<string>",
  "bio": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "family_name": "<string>",
  "given_name": "<string>",
  "language": "<string>",
  "middle_name": "<string>",
  "nickname": "<string>",
  "prefix": "<string>",
  "suffix": "<string>",
  "timezone": "<string>",
  "vcard_uid": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
string
required

Channel type (email, phone, etc.)

value
string
required

Channel value

Response

Contact found

created_at
string<date-time>
required
display_name
string
required
id
string<uuid>
required
kind
string
required
metadata
any
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
avatar_url
string | null
bio
string | null
deleted_at
string<date-time> | null
family_name
string | null
given_name
string | null
language
string | null
middle_name
string | null
nickname
string | null
prefix
string | null
suffix
string | null
timezone
string | null
vcard_uid
string | null